* {
  padding: 0;
  box-sizing: border-box;
  margin: 0;
}

body {
  font-family: "poppins", sans-serif;
}
.body::selection {
  background-color: #1d232c;
  color: white;
}

.navbar {
  position: sticky;
  top: 0;
  display: flex;
  z-index: 1000;
  justify-content: space-between;
  align-items: center;
  background-color: white;
  padding: 10px;
  border-radius: 2px;
  box-shadow: rgba(0, 0, 0, 0.25) 0px 14px 28px,
    rgba(0, 0, 0, 0.22) 0px 10px 10px;
}

.nav-links {
  display: flex;
  column-gap: 10px;
}

.nav-links a {
  text-decoration: none;
  color: #1d232c;
}

.nav-links a:hover {
  border-bottom: 1px solid #1d232c;
}

.toggle {
  display: none;
  cursor: pointer;
}

.side-nav {
  background-color: #1d232cc7;
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  left: -100%;
  padding: 20px;
  color: white;
  transition: 0.5s linear;
  z-index: 1001;
}
p i {
  position: absolute;
  right: 20px;
}

.side-choose {
  margin-bottom: 30px;
}

.side-choose a {
  text-decoration: none;
  color: white;
}

.side-choose a:hover {
  text-decoration: underline;
}

/* header */
.header {
  display: flex;
  justify-content: center;
  gap: 10px;
  padding: 15px;
}
.header img {
  object-fit: cover;
}

.button-top {
  padding: 10px 20px;
  background-color: black;
  color: white;
  outline: none;
  border: none;
  cursor: pointer;
  border-radius: 10px;
}

/*pro-container*/
.prob {
  padding: 20px;
}

.prob-container-1 {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.prob-container-2 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
}

.prob-container-2 div {
  background-color: #dddedf;
  border-radius: 10px;
  padding: 5px;
}

.recents {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  padding: 20px;
  align-items: center;
}

.recents-container {
  position: relative;
  flex-wrap: wrap;
  flex-basis: 20%;
}

.recents-container img {
  z-index: -1;
  object-fit: cover;
  border-radius: 5px;
}

.recents-container button {
  padding: 5% 10%;
  margin-top: 10%;
  color: #1d232c;
  position: absolute;
  top: 40%;
  left: 15%;
  cursor: pointer;
  outline: none;
  border: none;
  border-radius: 10px;
  transition: 0.15s linear;
}

.news {
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.news input {
  padding: 10px;
  width: 80vw;
  margin-bottom: 10px;
  border: 2px solid black;
}

.news button {
  margin-top: 10px;
  color: #f2f4f7;
  background-color: #1d232c;
  border-radius: 10px;
  padding: 10px 20px;
  outline: none;
  border: none;
}

.model-section {
  margin-top: 10px;
}

.product-search {
  width: 80%;
  border: 2px solid black;
  border-radius: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  margin: auto;
}

.product-search input {
  border: none;
  background-color: transparent;
  width: 100%;
  outline: none;
}

.models {
  padding: 20px;
  display: flex;
  justify-content: space-around;
  gap: 10px;

  flex-wrap: wrap;
}

.model-box {
  text-align: center;
  /* border: 1px solid black; */
  flex-basis: 20%;
}

.model-box img {
  border-radius: 10px;

  width: 200px;
  height: 200px;
  object-fit: cover;
}

/* contact page  */
.contact-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin-top: 30px;
  height: 80vh;
}

.con-fill {
  box-shadow: rgba(255, 255, 255, 0.1) 0px 1px 1px 0px inset,
    rgba(50, 50, 93, 0.25) 0px 50px 100px -20px,
    rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;
  width: 80%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.con-head {
  width: 50%;
  height: 100%;
  display: flex;
  border-radius: 0 40px 40px 0;
  flex-direction: column;
  color: white;
  align-items: center;
  justify-content: center;
  background-color: #1d232c;
}
.form {
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  flex-direction: column;
  padding: 20px;
}
form {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  gap: 40px;
  width: 80%;

  flex-direction: column;
}
form .ips {
  width: 90%;
  outline: none;
  border: none;
  padding: 15px 10px;
  /* border-radius: 10px; */
  border-bottom: 2px solid #1d232c;
}
form .submit {
  padding: 10px 15px;
  border: none;
  color: white;
  border-radius: 10px;
  background-color: #1d232c;
}

.footer {
  padding: 20px;
  margin-top: 20px;
  background-color: #1d232c;
  color: white;
}

@media screen and (max-width: 320px) {
  .toggle {
    display: block;
  }

  .nav-links {
    display: none;
  }
  .recents {
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .top-img {
    display: none;
  }

  .prob-container-2 {
    flex-direction: column;
  }

  .recents-container {
    margin-top: 20px;
  }

  .header {
    align-items: center;
  }
}
@media screen and (max-width: 450px) {
  .prob-container-2 {
    flex-direction: column;
  }
  .recents {
    flex-wrap: wrap;

    justify-content: center;
    align-items: center;
  }
  .top-img {
    display: none;
  }
}
@media screen and (max-width: 510px) {
  .prob-container-1 {
    flex-direction: column;
    gap: 10px;
  }
  .contact-container {
    flex-direction: column;
  }
  .con-fill {
    flex-direction: column;
  }
  .con-head {
    border-radius: 0;
    width: 100%;
  }
  .form {
    width: 100%;
    padding: 5px;
  }
}
